Index: CKEditor/trunk/_source/lang/fr.js
===================================================================
--- CKEditor/trunk/_source/lang/fr.js	(revision 5181)
+++ CKEditor/trunk/_source/lang/fr.js	(revision 5189)
@@ -1,3 +1,3 @@
-﻿/*
+/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -32,5 +32,9 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle		: 'Editeur de Texte Enrichi, %1',
+	editorTitle : 'Rich text editor, %1, press ALT 0 for help.', // MISSING
+
+	// ARIA descriptions.
+	toolbar	: 'Toolbar', // MISSING
+	editor	: 'Rich Text Editor', // MISSING
 
 	// Toolbar buttons without dialogs.
@@ -69,10 +73,10 @@
 		form			: 'Formulaire',
 		checkbox		: 'Case à cocher',
-		radio		: 'Bouton Radio',
+		radio			: 'Bouton Radio',
 		textField		: 'Champ texte',
 		textarea		: 'Zone de texte',
 		hiddenField		: 'Champ caché',
 		button			: 'Bouton',
-		select	: 'Liste déroulante',
+		select			: 'Liste déroulante',
 		imageButton		: 'Bouton image',
 		notSet			: '<non défini>',
@@ -89,9 +93,17 @@
 		ok				: 'OK',
 		cancel			: 'Annuler',
+		close			: 'Close', // MISSING
+		preview			: 'Preview', // MISSING
 		generalTab		: 'Général',
 		advancedTab		: 'Avancé',
-		validateNumberFailed	: 'Cette valeur n\'est pas un nombre.',
+		validateNumberFailed : 'Cette valeur n\'est pas un nombre.',
 		confirmNewPage	: 'Les changements non sauvegardés seront perdus. Etes-vous sûr de vouloir charger une nouvelle page?',
 		confirmCancel	: 'Certaines options ont été modifiées. Etes-vous sûr de vouloir fermer?',
+		options			: 'Options', // MISSING
+		target			: 'Target', // MISSING
+		targetNew		: 'New Window (_blank)', // MISSING
+		targetTop		: 'Topmost Window (_top)', // MISSING
+		targetSelf		: 'Same Window (_self)', // MISSING
+		targetParent	: 'Parent Window (_parent)', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -117,14 +129,9 @@
 		advanced	: 'Avancé',
 		type		: 'Type de lien',
+		toUrl		: 'URL', // MISSING
 		toAnchor	: 'Transformer le lien en ancre dans le texte',
 		toEmail		: 'E-mail',
-		target		: 'Cible',
-		targetNotSet	: '<non définie>',
-		targetFrame	: '<cadre>',
-		targetPopup	: '<fenêtre popup>',
-		targetNew	: 'Nouvelle fenêtre (_blank)',
-		targetTop	: 'Même fenêtre (_top)',
-		targetSelf	: 'Même Cadre (_self)',
-		targetParent	: 'Fenêtre parente (_parent)',
+		targetFrame		: '<cadre>',
+		targetPopup		: '<fenêtre popup>',
 		targetFrameName	: 'Nom du Cadre destination',
 		targetPopupName	: 'Nom de la fenêtre popup',
@@ -132,5 +139,5 @@
 		popupResizable	: 'Redimensionnable',
 		popupStatusBar	: 'Barre de status',
-		popupLocationBar	: 'Barre d\'adresse',
+		popupLocationBar: 'Barre d\'adresse',
 		popupToolbar	: 'Barre d\'outils',
 		popupMenuBar	: 'Barre de menu',
@@ -144,5 +151,4 @@
 		id				: 'Id',
 		langDir			: 'Sens d\'écriture',
-		langDirNotSet	: '<non défini>',
 		langDirLTR		: 'Gauche à droite',
 		langDirRTL		: 'Droite à gauche',
@@ -204,5 +210,4 @@
 		border		: 'Taille de la bordure',
 		align		: 'Alignement du contenu',
-		alignNotSet	: '<non définie>',
 		alignLeft	: 'Gauche',
 		alignCenter	: 'Centré',
@@ -211,4 +216,5 @@
 		widthPx		: 'pixels',
 		widthPc		: '% pourcents',
+		widthUnit	: 'width unit', // MISSING
 		height		: 'Hauteur',
 		cellSpace	: 'Espacement des cellules',
@@ -261,5 +267,5 @@
 			invalidRowSpan	: 'La fusion de lignes doit être un nombre entier.',
 			invalidColSpan	: 'La fusion de colonnes doit être un nombre entier.',
-			chooseColor : 'Choose' // MISSING
+			chooseColor		: 'Choose' // MISSING
 		},
 
@@ -308,11 +314,5 @@
 		action		: 'Action',
 		method		: 'Méthode',
-		encoding	: 'Encodage',
-		target		: 'Cible',
-		targetNotSet	: '<non définie>',
-		targetNew	: 'Nouvelle fenêtre (_blank)',
-		targetTop	: 'Même fenêtre (_top)',
-		targetSelf	: 'Même Cadre (_self)',
-		targetParent	: 'Fenêtre parente (_parent)'
+		encoding	: 'Encodage'
 	},
 
@@ -372,25 +372,29 @@
 		titleButton	: 'Propriétés du bouton image',
 		menu		: 'Propriétés de l\'image',
-		infoTab	: 'Informations sur l\'image',
+		infoTab		: 'Informations sur l\'image',
 		btnUpload	: 'Envoyer sur le serveur',
-		url		: 'URL',
-		upload	: 'Envoyer',
-		alt		: 'Texte de remplacement',
+		upload		: 'Envoyer',
+		alt			: 'Texte de remplacement',
 		width		: 'Largeur',
-		height	: 'Hauteur',
+		height		: 'Hauteur',
 		lockRatio	: 'Garder les proportions',
+		unlockRatio	: 'Unlock Ratio', // MISSING
 		resetSize	: 'Taille d\'origine',
-		border	: 'Bordure',
-		hSpace	: 'Espacement horizontal',
-		vSpace	: 'Espacement vertical',
+		border		: 'Bordure',
+		hSpace		: 'Espacement horizontal',
+		vSpace		: 'Espacement vertical',
 		align		: 'Alignement',
 		alignLeft	: 'Gauche',
 		alignRight	: 'Droite',
-		preview	: 'Aperçu',
 		alertUrl	: 'Veuillez entrer l\'adresse de l\'image',
-		linkTab	: 'Lien',
+		linkTab		: 'Lien',
 		button2Img	: 'Voulez-vous transformer le bouton image sélectionné en simple image?',
 		img2Button	: 'Voulez-vous transformer l\'image en bouton image?',
-		urlMissing : 'Image source URL is missing.' // MISSING
+		urlMissing	: 'Image source URL is missing.', // MISSING
+		validateWidth	: 'Width must be a whole number.', // MISSING
+		validateHeight	: 'Height must be a whole number.', // MISSING
+		validateBorder	: 'Border must be a whole number.', // MISSING
+		validateHSpace	: 'HSpace must be a whole number.', // MISSING
+		validateVSpace	: 'VSpace must be a whole number.' // MISSING
 	},
 
@@ -400,10 +404,10 @@
 		properties		: 'Propriétés du Flash',
 		propertiesTab	: 'Propriétés',
-		title		: 'Propriétés du Flash',
-		chkPlay		: 'Jouer automatiquement',
-		chkLoop		: 'Boucle',
-		chkMenu		: 'Activer le menu Flash',
-		chkFull		: 'Permettre le plein écran',
- 		scale		: 'Echelle',
+		title			: 'Propriétés du Flash',
+		chkPlay			: 'Jouer automatiquement',
+		chkLoop			: 'Boucle',
+		chkMenu			: 'Activer le menu Flash',
+		chkFull			: 'Permettre le plein écran',
+ 		scale			: 'Echelle',
 		scaleAll		: 'Afficher tout',
 		scaleNoBorder	: 'Pas de bordure',
@@ -411,38 +415,38 @@
 		access			: 'Accès aux scripts',
 		accessAlways	: 'Toujours',
-		accessSameDomain	: 'Même domaine',
-		accessNever	: 'Jamais',
-		align		: 'Alignement',
-		alignLeft	: 'Gauche',
-		alignAbsBottom: 'Bas absolu',
-		alignAbsMiddle: 'Milieu absolu',
+		accessSameDomain: 'Même domaine',
+		accessNever		: 'Jamais',
+		align			: 'Alignement',
+		alignLeft		: 'Gauche',
+		alignAbsBottom	: 'Bas absolu',
+		alignAbsMiddle	: 'Milieu absolu',
 		alignBaseline	: 'Bas du texte',
-		alignBottom	: 'Bas',
-		alignMiddle	: 'Milieu',
-		alignRight	: 'Droite',
+		alignBottom		: 'Bas',
+		alignMiddle		: 'Milieu',
+		alignRight		: 'Droite',
 		alignTextTop	: 'Haut du texte',
-		alignTop	: 'Haut',
-		quality		: 'Qualité',
-		qualityBest		 : 'Meilleure',
-		qualityHigh		 : 'Haute',
-		qualityAutoHigh	 : 'Haute Auto',
-		qualityMedium	 : 'Moyenne',
-		qualityAutoLow	 : 'Basse Auto',
-		qualityLow		 : 'Basse',
-		windowModeWindow	 : 'Fenêtre',
-		windowModeOpaque	 : 'Opaque',
-		windowModeTransparent	 : 'Transparent',
-		windowMode	: 'Mode fenêtre',
-		flashvars	: 'Variables du Flash',
-		bgcolor	: 'Couleur d\'arrière-plan',
-		width	: 'Largeur',
-		height	: 'Hauteur',
-		hSpace	: 'Espacement horizontal',
-		vSpace	: 'Espacement vertical',
-		validateSrc : 'L\'adresse ne doit pas être vide.',
-		validateWidth : 'La largeur doit être un nombre.',
-		validateHeight : 'La hauteur doit être un nombre.',
-		validateHSpace : 'L\'espacement horizontal doit être un nombre.',
-		validateVSpace : 'L\'espacement vertical doit être un nombre.'
+		alignTop		: 'Haut',
+		quality			: 'Qualité',
+		qualityBest		: 'Meilleure',
+		qualityHigh		: 'Haute',
+		qualityAutoHigh	: 'Haute Auto',
+		qualityMedium	: 'Moyenne',
+		qualityAutoLow	: 'Basse Auto',
+		qualityLow		: 'Basse',
+		windowModeWindow: 'Fenêtre',
+		windowModeOpaque: 'Opaque',
+		windowModeTransparent : 'Transparent',
+		windowMode		: 'Mode fenêtre',
+		flashvars		: 'Variables du Flash',
+		bgcolor			: 'Couleur d\'arrière-plan',
+		width			: 'Largeur',
+		height			: 'Hauteur',
+		hSpace			: 'Espacement horizontal',
+		vSpace			: 'Espacement vertical',
+		validateSrc		: 'L\'adresse ne doit pas être vide.',
+		validateWidth	: 'La largeur doit être un nombre.',
+		validateHeight	: 'La hauteur doit être un nombre.',
+		validateHSpace	: 'L\'espacement horizontal doit être un nombre.',
+		validateVSpace	: 'L\'espacement vertical doit être un nombre.'
 	},
 
@@ -478,18 +482,19 @@
 	elementsPath :
 	{
+		eleLabel : 'Elements path',  // MISSING
 		eleTitle : '%1 éléments'
 	},
 
-	numberedlist : 'Insérer/Supprimer la liste numérotée',
-	bulletedlist : 'Insérer/Supprimer la liste à puces',
-	indent : 'Augmenter le retrait (tabulation)',
-	outdent : 'Diminuer le retrait (tabulation)',
+	numberedlist	: 'Insérer/Supprimer la liste numérotée',
+	bulletedlist	: 'Insérer/Supprimer la liste à puces',
+	indent			: 'Augmenter le retrait (tabulation)',
+	outdent			: 'Diminuer le retrait (tabulation)',
 
 	justify :
 	{
-		left : 'Aligner à gauche',
-		center : 'Centrer',
-		right : 'Aligner à droite',
-		block : 'Justifier'
+		left	: 'Aligner à gauche',
+		center	: 'Centrer',
+		right	: 'Aligner à droite',
+		block	: 'Justifier'
 	},
 
@@ -502,28 +507,29 @@
 		copyError	: 'Les paramètres de sécurité de votre navigateur ne permettent pas à l\'éditeur d\'exécuter automatiquement des opérations de copie. Veuillez utiliser le raccourci clavier (Ctrl+C).',
 		pasteMsg	: 'Veuillez coller le texte dans la zone suivante en utilisant le raccourci clavier (<strong>Ctrl+V</strong>) et cliquez sur OK',
-		securityMsg	: 'A cause des paramètres de sécurité de votre navigateur, l\'éditeur n\'est pas en mesure d\'accéder directement à vos données contenues dans le presse-papier. Vous devriez réessayer de coller les données dans la fenêtre.'
+		securityMsg	: 'A cause des paramètres de sécurité de votre navigateur, l\'éditeur n\'est pas en mesure d\'accéder directement à vos données contenues dans le presse-papier. Vous devriez réessayer de coller les données dans la fenêtre.',
+		pasteArea	: 'Paste Area' // MISSING
 	},
 
 	pastefromword :
 	{
-		confirmCleanup : 'Le texte à coller semble provenir de Word. Désirez-vous le nettoyer avant de coller?',
-		toolbar : 'Coller depuis Word',
-		title : 'Coller depuis Word',
-		error : 'It was not possible to clean up the pasted data due to an internal error' // MISSING
+		confirmCleanup	: 'Le texte à coller semble provenir de Word. Désirez-vous le nettoyer avant de coller?',
+		toolbar			: 'Coller depuis Word',
+		title			: 'Coller depuis Word',
+		error			: 'It was not possible to clean up the pasted data due to an internal error' // MISSING
 	},
 
 	pasteText :
 	{
-		button : 'Coller comme texte sans mise en forme',
-		title : 'Coller comme texte sans mise en forme'
+		button	: 'Coller comme texte sans mise en forme',
+		title	: 'Coller comme texte sans mise en forme'
 	},
 
 	templates :
 	{
-		button : 'Modèles',
-		title : 'Contenu des modèles',
-		insertOption: 'Remplacer le contenu actuel',
-		selectPromptMsg: 'Veuillez sélectionner le modèle pour l\'ouvrir dans l\'éditeur',
-		emptyListMsg : '(Aucun modèle disponible)'
+		button			: 'Modèles',
+		title			: 'Contenu des modèles',
+		insertOption	: 'Remplacer le contenu actuel',
+		selectPromptMsg	: 'Veuillez sélectionner le modèle pour l\'ouvrir dans l\'éditeur',
+		emptyListMsg	: '(Aucun modèle disponible)'
 	},
 
@@ -532,29 +538,26 @@
 	stylesCombo :
 	{
-		label : 'Styles',
-		voiceLabel : 'Styles',
-		panelVoiceLabel : 'Choisissez un style',
-		panelTitle1 : 'Styles de blocs',
-		panelTitle2 : 'Styles en ligne',
-		panelTitle3 : 'Styles d\'objet'
+		label		: 'Styles',
+		panelTitle	: 'Formatting Styles', // MISSING
+		panelTitle1	: 'Styles de blocs',
+		panelTitle2	: 'Styles en ligne',
+		panelTitle3	: 'Styles d\'objet'
 	},
 
 	format :
 	{
-		label : 'Format',
-		voiceLabel : 'Format',
-		panelTitle : 'Format de paragraphe',
-		panelVoiceLabel : 'Choisissez un format de paragraphe',
-
-		tag_p : 'Normal',
-		tag_pre : 'Formaté',
-		tag_address : 'Adresse',
-		tag_h1 : 'Titre 1',
-		tag_h2 : 'Titre 2',
-		tag_h3 : 'Titre 3',
-		tag_h4 : 'Titre 4',
-		tag_h5 : 'Titre 5',
-		tag_h6 : 'Titre 6',
-		tag_div : 'Normal (DIV)'
+		label		: 'Format',
+		panelTitle	: 'Format de paragraphe',
+
+		tag_p		: 'Normal',
+		tag_pre		: 'Formaté',
+		tag_address	: 'Adresse',
+		tag_h1		: 'Titre 1',
+		tag_h2		: 'Titre 2',
+		tag_h3		: 'Titre 3',
+		tag_h4		: 'Titre 4',
+		tag_h5		: 'Titre 5',
+		tag_h6		: 'Titre 6',
+		tag_div		: 'Normal (DIV)'
 	},
 
@@ -578,24 +581,23 @@
 	font :
 	{
-		label : 'Police',
-		voiceLabel : 'Police',
-		panelTitle : 'Style de police',
-		panelVoiceLabel : 'Choisissez une police'
+		label		: 'Police',
+		voiceLabel	: 'Police',
+		panelTitle	: 'Style de police'
 	},
 
 	fontSize :
 	{
-		label : 'Taille',
-		voiceLabel : 'Taille de police',
-		panelTitle : 'Taille de police',
-		panelVoiceLabel : 'Choisissez une taille de police'
+		label		: 'Taille',
+		voiceLabel	: 'Taille de police',
+		panelTitle	: 'Taille de police'
 	},
 
 	colorButton :
 	{
-		textColorTitle : 'Couleur de texte',
-		bgColorTitle : 'Couleur d\'arrière plan',
-		auto : 'Automatique',
-		more : 'Plus de couleurs...'
+		textColorTitle	: 'Couleur de texte',
+		bgColorTitle	: 'Couleur d\'arrière plan',
+		panelTitle		: 'Colors', // MISSING
+		auto			: 'Automatique',
+		more			: 'Plus de couleurs...'
 	},
 
@@ -646,28 +648,28 @@
 	scayt :
 	{
-		title : 'Vérification d\'Orthographe en Cours de Frappe (SCAYT: Spell Check As You Type)',
-		enable : 'Activer SCAYT',
-		disable : 'Désactiver SCAYT',
-		about : 'A propos de SCAYT',
-		toggle : 'Activer/Désactiver SCAYT',
-		options : 'Options',
-		langs : 'Langues',
-		moreSuggestions : 'Plus de suggestions',
-		ignore : 'Ignorer',
-		ignoreAll : 'Ignorer Tout',
-		addWord : 'Ajouter le mot',
-		emptyDic : 'Le nom du dictionnaire ne devrait pas être vide.',
-		optionsTab : 'Options',
-		languagesTab : 'Langues',
-		dictionariesTab : 'Dictionnaires',
-		aboutTab : 'A propos de'
+		title			: 'Vérification d\'Orthographe en Cours de Frappe (SCAYT: Spell Check As You Type)',
+		enable			: 'Activer SCAYT',
+		disable			: 'Désactiver SCAYT',
+		about			: 'A propos de SCAYT',
+		toggle			: 'Activer/Désactiver SCAYT',
+		options			: 'Options',
+		langs			: 'Langues',
+		moreSuggestions	: 'Plus de suggestions',
+		ignore			: 'Ignorer',
+		ignoreAll		: 'Ignorer Tout',
+		addWord			: 'Ajouter le mot',
+		emptyDic		: 'Le nom du dictionnaire ne devrait pas être vide.',
+		optionsTab		: 'Options',
+		languagesTab	: 'Langues',
+		dictionariesTab	: 'Dictionnaires',
+		aboutTab		: 'A propos de'
 	},
 
 	about :
 	{
-		title : 'A propos de CKEditor',
-		dlgTitle : 'A propos de CKEditor',
-		moreInfo : 'Pour les informations de licence, veuillez visiter notre site web:',
-		copy : 'Copyright &copy; $1. Tous droits réservés.'
+		title		: 'A propos de CKEditor',
+		dlgTitle	: 'A propos de CKEditor',
+		moreInfo	: 'Pour les informations de licence, veuillez visiter notre site web:',
+		copy		: 'Copyright &copy; $1. Tous droits réservés.'
 	},
 
@@ -677,8 +679,8 @@
 	fakeobjects :
 	{
-		anchor : 'Ancre',
-		flash : 'Animation Flash',
-		div : 'Saut de Page',
-		unknown : 'Objet Inconnu'
+		anchor	: 'Ancre',
+		flash	: 'Animation Flash',
+		div		: 'Saut de Page',
+		unknown	: 'Objet Inconnu'
 	},
 
@@ -687,11 +689,11 @@
 	colordialog :
 	{
-		title : 'Select color', // MISSING
-		highlight : 'Highlight', // MISSING
-		selected : 'Selected', // MISSING
-		clear : 'Clear' // MISSING
-	},
-
-	toolbarCollapse : 'Collapse Toolbar', // MISSING
-	toolbarExpand : 'Expand Toolbar' // MISSING
+		title		: 'Select color', // MISSING
+		highlight	: 'Highlight', // MISSING
+		selected	: 'Selected', // MISSING
+		clear		: 'Clear' // MISSING
+	},
+
+	toolbarCollapse	: 'Collapse Toolbar', // MISSING
+	toolbarExpand	: 'Expand Toolbar' // MISSING
 };
